<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'

const receiptstore = useReceiptStore()
</script>

<template>
    <v-table>
        <thead>
            <tr style="background-color: rgb(105, 82, 63);">
                <th style="color: azure;">#</th>
                <th style="color: azure;">name</th>
                <th style="color: azure;">price</th>
                <th style="color: azure; text-align: center;">unit</th>
                <th style="color: azure;">total</th>
                <th style="color: azure;">operation</th>
            </tr>
        </thead>
        <tbody style="background-color: rgb(226, 220, 200);">
            <tr v-for="(item, index) of receiptstore.receiptItems" :key="item.id">
                <td>{{ index + 1 }}</td>
                <td>{{ item.name }}</td>
                <td>{{ item.price }}</td>
                <td style="text-align:center;">
                    <v-btn icon="mdi-minus" size="compact" @click="receiptstore.dec(item)" color="red darken-1"></v-btn>
                    {{ item.unit }}
                    <v-btn icon="mdi-plus" size="compact" @click="receiptstore.inc(item)" color="green darken-1"></v-btn></td>
                <td>{{ item.price * item.unit }}
                </td>
                <td><v-btn icon="mdi-delete" density="compact" @click="() => {
                    receiptstore.removeReceipt(item)
                }"></v-btn></td>
            </tr>
        </tbody>
    </v-table>
</template>